Opened 3 years ago

Last modified 6 months ago

#1787 infoneeded defect

Update I2PAndroidHelper to recognise legacy release builds (e.g. for F-Droid)

Reported by: nextloop Owned by: str4d
Priority: major Milestone: 0.9.38
Component: apps/android Version: 0.9.25
Keywords: Cc:
Parent Tickets:

Description

The App ID when building the legacy release is "net.i2p.android.router" which is missing in i2p.android.base/lib/helper/src/main/java/net/i2p/android/ui/I2PAndroidHelper.java.

Please add it. It brings up confusion for example when using lightning browser.

Subtickets (add)

Change History (5)

comment:1 Changed 3 years ago by str4d

  • Status changed from new to accepted

Wow, I don't know why URI_I2P_ANDROID_LEGACY got left as net.i2p.android.legacy when it should have been net.i2p.android.router from the start. I'll fix that and push out a new build of the client library.

comment:2 Changed 3 years ago by str4d

  • Resolution set to fixed
  • Status changed from accepted to closed

This was fixed in 9b8032380d1f779d0864017f22bda7e1e5e54730 and will be out in the upcoming 0.9 release of the client library.

comment:3 Changed 2 years ago by nextloop

Lightning browser redirects to F-Droid net.i2p.android now, which is the now disabled version.

comment:4 Changed 2 years ago by nextloop

  • Resolution fixed deleted
  • Status changed from closed to reopened
  • Summary changed from Update I2PAndroidHelper to recognise legacy release buildse (e.g. for F-Droid) to Update I2PAndroidHelper to recognise legacy release builds (e.g. for F-Droid)

comment:5 Changed 6 months ago by zzz

  • Milestone changed from 0.9.26 to 0.9.38
  • Status changed from reopened to infoneeded

str4d please provide instructions on how to resolve this

Note: See TracTickets for help on using tickets.